Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionHeader.SelectedPosition

    java.lang.Object
      java.lang.Enum<QStyleOptionHeader.SelectedPosition>
          com.trolltech.qt.gui.QStyleOptionHeader.SelectedPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionHeader.SelectedPosition>

Enclosing class:
  QStyleOptionHeader

    public static enum QStyleOptionHeader.SelectedPosition

extends java.lang.Enum<QStyleOptionHeader.SelectedPosition>
implements QtEnumerator

This enum lets you know where the section's position is in relation to the selected section.

See Also:
  `selectedPosition`

Enum Constant Summary
`NextAndPreviousAreSelected` Both the next and previous section are selected
`NextIsSelected` The next section is selected
`NotAdjacent` Not adjacent to the selected section
`PreviousIsSelected` The previous section is selected

Method Summary
`static QStyleOptionHeader.SelectedPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionHeader.SelectedPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionHeader.SelectedPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotAdjacent

    public static final QStyleOptionHeader.SelectedPosition NotAdjacent

  Not adjacent to the selected section

### NextIsSelected

    public static final QStyleOptionHeader.SelectedPosition NextIsSelected

  The next section is selected

### PreviousIsSelected

    public static final QStyleOptionHeader.SelectedPosition PreviousIsSelected

  The previous section is selected

### NextAndPreviousAreSelected

    public static final QStyleOptionHeader.SelectedPosition NextAndPreviousAreSelected

  Both the next and previous section are selected

Method Detail

### values

    public static final QStyleOptionHeader.SelectedPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionHeader.SelectedPosition c : QStyleOptionHeader.SelectedPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionHeader.SelectedPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionHeader.SelectedPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD